public class Boisson extends Comestible{
	
	private int poids=0;
	private int resistanceMat=0;
	private int structureMat=0;
	private int niveau=0;
	
	
		
	public Boisson(boolean casse,String modele,String nom,String nomE,String typeObjet,boolean visible,String tileStr){
		super(casse,modele,nom,nomE,typeObjet,visible,tileStr);
		
		structureMat=1;
		resistanceMat=5;
		poids=1;
		
		
		
		if(modele.compareTo("lesserhealingpotion")==0){
			niveau=1;
		}
			
		if(modele.compareTo("mediumhealingpotion")==0){
			niveau=5;
		}
			
		if(modele.compareTo("majorhealingpotion")==0){
			niveau=10;
		}
			
		if(modele.compareTo("lesserpoison")==0){
			niveau=1;
		}
			
		if(modele.compareTo("mediumpoison")==0){
			niveau=5;
		}
			
		if(modele.compareTo("majorpoison")==0){
			niveau=10;
		}
		
		if(modele.compareTo("speedpotion")==0){
			niveau=5;
		}
		
		if(modele.compareTo("slowpotion")==0){
			niveau=5;
		}
		
		if(modele.compareTo("fountain")==0){
			niveau=5;
			poids=100000;
		}
			
		
	}
	
	public int getNiveau(){
		return niveau;
	}
	
	public int getPoids(){
		return poids;
	}
	
	public void setPoids(int pds){
		poids=pds;
	}
	
	public int getResistanceMat(){
		return resistanceMat;
	}
	
	public void setResistanceMat(int res){
		resistanceMat=res;
	}
	
		public int getStructureMat(){
		return structureMat;
	}
	
	public void setStructureMat(int struct){
		structureMat=struct;
	}
	
	
	/////LANCER PAR DRINK (q)/////////////
	public void effetBoisson(Personnage perso,Monde monde){
	
		if(getModele().compareTo("lesserhealingpotion")==0){
			
			monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
			monde.jeuPan.messagesPanel.remplissageMessages("Vous gagnez 30 pts de vie !",false);
			
			monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
			monde.jeuPan.messagesPanel.remplissageMessages("You recover 30 hits points !",true);
			
			
			perso.setCurrentHitPts(perso.getCurrentHitPts()+30);
			
			if(perso.getCurrentHitPts()>perso.getMaxHitPts()){
				perso.setCurrentHitPts(perso.getMaxHitPts());
			}
			
			
		}
		
		
		if(getModele().compareTo("mediumhealingpotion")==0){
			
			monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
			monde.jeuPan.messagesPanel.remplissageMessages("Vous gagnez 60 pts de vie !",false);
			
			monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
			monde.jeuPan.messagesPanel.remplissageMessages("You recover 60 hits points !",true);
			
			perso.setCurrentHitPts(perso.getCurrentHitPts()+60);
			
			if(perso.getCurrentHitPts()>perso.getMaxHitPts()){
				perso.setCurrentHitPts(perso.getMaxHitPts());
			}
			
			
		}
		
		
		if(getModele().compareTo("majorhealingpotion")==0){
			
			monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
			monde.jeuPan.messagesPanel.remplissageMessages("Vous gagnez 100 pts de vie !",false);
			
			monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
			monde.jeuPan.messagesPanel.remplissageMessages("You recover 100 hits points !",true);
			
			perso.setCurrentHitPts(perso.getCurrentHitPts()+100);
			
			if(perso.getCurrentHitPts()>perso.getMaxHitPts()){
				perso.setCurrentHitPts(perso.getMaxHitPts());
			}
			
			
		}
		
		
		if(getModele().compareTo("lesserpoison")==0){
			
			monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
			monde.jeuPan.messagesPanel.remplissageMessages("C est du poison !!!",false);
			monde.jeuPan.messagesPanel.remplissageMessages("Vous perdez 20 pts de vie",false);
			
			monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
			monde.jeuPan.messagesPanel.remplissageMessages("Poison !!!",true);
			monde.jeuPan.messagesPanel.remplissageMessages("You lose 20 hit points",true);
			
			
			perso.setCurrentHitPts(perso.getCurrentHitPts()-20);
			
			
			
		}
		
		
		if(getModele().compareTo("mediumpoison")==0){
			monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
			monde.jeuPan.messagesPanel.remplissageMessages("C est du poison !!!",false);
			monde.jeuPan.messagesPanel.remplissageMessages("Vous perdez 50 pts de vie",false);
			
			monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
			monde.jeuPan.messagesPanel.remplissageMessages("Poison !!!",true);
			monde.jeuPan.messagesPanel.remplissageMessages("You lose 50 hit points",true);
			
			perso.setCurrentHitPts(perso.getCurrentHitPts()-50);
		}
		
		
		if(getModele().compareTo("majorpoison")==0){
			monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
			monde.jeuPan.messagesPanel.remplissageMessages("C est du poison !!!",false);
			monde.jeuPan.messagesPanel.remplissageMessages("Vous perdez 100 pts de vie",false);
			
			monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
			monde.jeuPan.messagesPanel.remplissageMessages("Poison !!!",true);
			monde.jeuPan.messagesPanel.remplissageMessages("You lose 100 hit points",true);
			
			perso.setCurrentHitPts(perso.getCurrentHitPts()-100);
		}
		
		
		
		if(getModele().compareTo("speedpotion")==0){
			monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
			monde.jeuPan.messagesPanel.remplissageMessages("Vous vous sentez plus rapide",false);
			
			monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
			monde.jeuPan.messagesPanel.remplissageMessages("You are quicker than ever !",true);
			
			
			perso.setRapidite((int)(Math.abs(Math.random()*3))+2);
			perso.setDureeEffetSpeed((int)(Math.abs(Math.random()*100))+1);
			
		}
		
		
		
		if(getModele().compareTo("slowpotion")==0){
			monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
			monde.jeuPan.messagesPanel.remplissageMessages("Le temps defile a toute vitesse !",false);
			
			monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
			monde.jeuPan.messagesPanel.remplissageMessages("You slow down...",true);
			
			
			//int slow=(int)(Math.abs(Math.random()*20))+1;
			perso.setDureeEffetSlow((int)(Math.abs(Math.random()*50))+1);
			
			//System.out.println(slow);//
			
			while(perso.getDureeEffetSlow()>0){
				
				
				//monde.jeuPan.messagesPanel.remplissageMessages("Vous etes lent...");//
				monde.tourMonde();
				perso.setDureeEffetSlow(perso.getDureeEffetSlow()-1);
			}
		
		}
		
		if(getModele().compareTo("fountain")==0){
			
			int hazar=(int)(Math.random()*100)+1;
			
			
			
			if(hazar<=25){
				monde.jeuPan.messagesPanel.remplissageMessages("Poison !",false);
				monde.jeuPan.messagesPanel.remplissageMessages("Poison !",true);
				perso.setCurrentHitPts(perso.getCurrentHitPts()-20);
			}
			
			if(hazar>25 && hazar<=50){
				monde.jeuPan.messagesPanel.remplissageMessages("Rafraichissant",false);
				monde.jeuPan.messagesPanel.remplissageMessages("Refreshing",true);
				perso.setCurrentHitPts(perso.getCurrentHitPts()+50);
			
				if(perso.getCurrentHitPts()>perso.getMaxHitPts()){
					perso.setCurrentHitPts(perso.getMaxHitPts());
				}
			}
			
			if(hazar>50 && hazar<=75){
				monde.jeuPan.messagesPanel.remplissageMessages("La fontaine disparait",false);
				monde.jeuPan.messagesPanel.remplissageMessages("The fountain disappears",true);
				monde.grille[perso.getCooX()][perso.getCooY()].remove(this);
				new ThreadSon("./sons/harp.wav",0).start();
			}
			
			
			if(hazar>75){
				
				ElementalCategory sk=new ElementalCategory(false,"smallwaterelemental","Un elementaire d eau","A water elemental",true,"Creature",true,"./images/creatures/elemental/waterelemental.gif","./images/creatures/corpse.gif","./sons/waterel.wav");
				sk.setCooX(perso.getCooX()+1);
				sk.setCooY(perso.getCooY());
				monde.grille[perso.getCooX()+1][perso.getCooY()].add(sk);
				monde.jeuPan.messagesPanel.remplissageMessages("Une creature sort de la fontaine !",false);
				monde.jeuPan.messagesPanel.remplissageMessages("A creature appears !",true);
			}
			
			
		}
		
		
		
		if(getModele().compareTo("fountain")!=0){
			monde.grille[perso.getCooX()][perso.getCooY()].remove(this);
		}
		
		
	}
	
}